### Method

# Ide TreeNode get_item

#### Declaration

    GObject*
    ide_tree_node_get_item (
      IdeTreeNode* self
    )

#### Description

Gets the item that has been associated with the node.

Available since: | 3.32

Gets property | `Ide.TreeNode:item`

#### Return value

Returns: | `GObject`
| A `GObject` if the item has been previously set.
| The data is owned by the instance.
| The return value can be `NULL`.